End of Support: Below iOS 11 and Android 5.0

11/15/202158.311

End of Support: Below iOS 11 and Android 5.0

Hello Clashers, today Supercell announced Clash of Clans will no longer work on old devices running iOS 11 and Android 5.0. If you still play on those devices, you should, if possible, update the OS version or will no longer get game updates.

Here is the official statement:

Due to technical reasons beyond our control, in the next update to Clash of Clans (later this year), we are unfortunately forced to end support for all Apple and Android devices running on OS versions lower than iOS 11 and Android 5.0, respectively.

If your device is currently running on a operating system lower than iOS 11 or Android 5.0, you will no longer be able to play Clash of Clans unless you update to a later iOS/Android version. Please update to iOS version 11 / Android 5.0 (or higher) as soon as possible.

Clash on!